[med-svn] [Git][med-team/pirs][master] 5 commits: routine-update: Fix watchfile to detect new versions on github

Andreas Tille (@tille) gitlab at salsa.debian.org
Tue Aug 31 15:19:07 BST 2021



Andreas Tille pushed to branch master at Debian Med / pirs


Commits:
69fa5d01 by Andreas Tille at 2021-08-31T15:58:41+02:00
routine-update: Fix watchfile to detect new versions on github

- - - - -
e2ce3eed by Andreas Tille at 2021-08-31T15:59:06+02:00
routine-update: Standards-Version: 4.6.0

- - - - -
ec9ca2aa by Andreas Tille at 2021-08-31T15:59:12+02:00
Apply multi-arch hints.
+ pirs-examples, pirs-profiles: Add Multi-Arch: foreign.

Changes-By: apply-multiarch-hints

- - - - -
63c63cdb by Andreas Tille at 2021-08-31T16:15:00+02:00
Use default name run-unit-test for autopkgtest script

- - - - -
44f20b4c by Andreas Tille at 2021-08-31T16:17:07+02:00
Upload to unstable

- - - - -


8 changed files:

- + debian/README.test
- debian/changelog
- debian/control
- debian/pirs.docs
- debian/tests/control
- − debian/tests/gcContCvgBias-test
- debian/tests/pirs-test → debian/tests/run-unit-test
- debian/watch


Changes:

=====================================
debian/README.test
=====================================
@@ -0,0 +1,9 @@
+Notes on how this package can be tested.
+────────────────────────────────────────
+
+This package can be tested by running the provided test:
+
+    sudo apt install pirs-examples
+    sh run-unit-test
+
+in order to confirm its integrity.


=====================================
debian/changelog
=====================================
@@ -1,3 +1,13 @@
+pirs (2.0.2+dfsg-10) unstable; urgency=medium
+
+  * Fix watchfile to detect new versions on github (routine-update)
+  * Standards-Version: 4.6.0 (routine-update)
+  * Apply multi-arch hints.
+    + pirs-examples, pirs-profiles: Add Multi-Arch: foreign.
+  * Use default name run-unit-test for autopkgtest script
+
+ -- Andreas Tille <tille at debian.org>  Tue, 31 Aug 2021 16:15:12 +0200
+
 pirs (2.0.2+dfsg-9) unstable; urgency=medium
 
   * Standards-Version: 4.5.1 (routine-update)


=====================================
debian/control
=====================================
@@ -7,7 +7,7 @@ Build-Depends: debhelper-compat (= 13),
                libboost-dev,
                zlib1g-dev,
                libgzstream-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/pirs
 Vcs-Git: https://salsa.debian.org/med-team/pirs.git
 Homepage: https://github.com/galaxy001/pirs
@@ -42,6 +42,7 @@ Description: Profile based Illumina pair-end Reads Simulator
 Package: pirs-profiles
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: profile basd Illumina pair-end Reads Simulator (profile data)
  The program pIRS can be used for simulating Illumina PE reads, with a
  series of characters generated by Illumina sequencing platform, such as
@@ -66,6 +67,7 @@ Description: profile basd Illumina pair-end Reads Simulator (profile data)
 Package: pirs-examples
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: profile basd Illumina pair-end Reads Simulator (example data)
  The program pIRS can be used for simulating Illumina PE reads, with a
  series of characters generated by Illumina sequencing platform, such as


=====================================
debian/pirs.docs
=====================================
@@ -1 +1,3 @@
 README
+debian/tests/run-unit-test
+debian/README.test


=====================================
debian/tests/control
=====================================
@@ -1,2 +1,3 @@
-Tests: gcContCvgBias-test, pirs-test
+Tests: run-unit-test
 Depends: @, pirs-examples
+Restrictions: allow-stderr


=====================================
debian/tests/gcContCvgBias-test deleted
=====================================
@@ -1,18 +0,0 @@
-#!/bin/sh -e
-
-pkg=pirs
-testbin=gcContCvgBias
-
-if [ "$AUTOPKGTEST_TMP" = "" ] ; then
-  AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-${testbin}-test.XXXXXX)
-  # trap "rm -rf $AUTOPKGTEST_TMP" 0 INT QUIT ABRT PIPE TERM
-fi
-
-cd $AUTOPKGTEST_TMP
-
-cp -a /usr/share/doc/${pkg}/examples/${testbin}/* .
-# find . -type f -name "*.gz" -exec gunzip \{\} \;
-gc_coverage_bias -r gcdeptestref.fa.gz -o test -w 100,200 --gcdump --depwindump gcdeptest.depth.gz
-gc_coverage_bias_plot test_100.dat
-gc_coverage_bias_plot test_200.dat
-ls -l test*


=====================================
debian/tests/pirs-test → debian/tests/run-unit-test
=====================================
@@ -1,16 +1,28 @@
 #!/bin/sh -e
 
 pkg=pirs
-testbin=pirs
 
 if [ "$AUTOPKGTEST_TMP" = "" ] ; then
   AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-${testbin}-test.XXXXXX)
-  # trap "rm -rf $AUTOPKGTEST_TMP" 0 INT QUIT ABRT PIPE TERM
+  trap "rm -rf $AUTOPKGTEST_TMP" 0 INT QUIT ABRT PIPE TERM
 fi
 
 cd $AUTOPKGTEST_TMP
 
-cp -a /usr/share/doc/${pkg}/examples/${testbin}/* .
+mkdir gcContCvgBias
+cd gcContCvgBias
+cp -a /usr/share/doc/${pkg}/examples/gcContCvgBias/* .
+# find . -type f -name "*.gz" -exec gunzip \{\} \;
+gc_coverage_bias -r gcdeptestref.fa.gz -o test -w 100,200 --gcdump --depwindump gcdeptest.depth.gz
+gc_coverage_bias_plot test_100.dat
+gc_coverage_bias_plot test_200.dat
+ls -l test*
+
+cd ..
+
+mkdir pirs
+cd pirs
+cp -a /usr/share/doc/${pkg}/examples/pirs/* .
 find . -type f -name "*.gz" -exec gunzip \{\} \;
 
 pirs diploid ref_seq.fa -s 0.001 -R 2 -d 0.0001 -v 0.000001 -c gzip -o ref22 >SimDiploid.out 2>SimDiploid.err


=====================================
debian/watch
=====================================
@@ -1,4 +1,4 @@
 version=4
 
 opts="uversionmangle=s/b/~b/;s/(\d)(\d+)/$1.$2/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
-   https://github.com/galaxy001/pirs/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
\ No newline at end of file
+   https://github.com/galaxy001/pirs/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
\ No newline at end of file



View it on GitLab: https://salsa.debian.org/med-team/pirs/-/compare/f0503002be355f5cfde1faabd0de51393778246b...44f20b4c5c5036f7e0d0a71b01b1e9c8ab88397f

-- 
View it on GitLab: https://salsa.debian.org/med-team/pirs/-/compare/f0503002be355f5cfde1faabd0de51393778246b...44f20b4c5c5036f7e0d0a71b01b1e9c8ab88397f
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20210831/c280f922/attachment-0001.htm>


More information about the debian-med-commit mailing list